<p align="center">
  <img src="https://gitee.com/hirgb/csser/raw/master/src/img/logo.png">
</p>

# CSSER
一个去框架的、组合灵活、体积小巧的纯css工具库

[仓库地址](https://gitee.com/hirgb/csser) | [API and Demo](https://hirgb.gitee.io/csser)

## 特性

- **从不加载多余无用的代码**。需要什么，就提供什么。
- **从不自作聪明推荐工具**。能做的都在文档里，使用随意。
- **从不限制你的创作自由**。不会把你限制在某种规则之内。
- 组合灵活。
- 体积小巧。
- 随处可用。

## 使用
- CDN
   - 按需引入：`<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/csser/layout.min.css">`
- NPM
  1. 安装：`npm install csser --save`
  2. 按需引入：`import 'csser/layout.min.css'`

## 目前提供的能力

- 布局 - layout.min.css
- 提示 - tooltip.min.css
- 加载 - loading/*.css
- 动画 - animation/*.css

## 计划开发的能力

- 主题 - theme.min.css
- 按钮 - buttons/*.css